import { type Base, genBase } from "./_base"

export interface Chemo extends Base {
  encounter_id: number
  status_code: string
  verified_at: string
  verified_by_user_id: number
  src_unit_id: number
}

export function genChemo(): Chemo {
  return {
    ...genBase(),
    encounter_id: 0,
    status_code: '',
    verified_at: '',
    verified_by_user_id: 0,
    src_unit_id: 0,
  }
}
